<?php

namespace Drupal\commerce_stock_notifications\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface for defining Stock notification entities.
 *
 * @ingroup commerce_stock_notifications
 */
interface StockNotificationInterface extends ContentEntityInterface, EntityOwnerInterface {

  /**
   * Gets the email that the email must be sent to.
   *
   * @return string
   *   The email address.
   */
  public function getEmail();

}
